[Overview][Resource strings][Types][Classes][Index] | Reference for unit 'CacheCls' (#fcl)

# TCache.OnFreeSlot

Event called when a slot is freed

## Declaration

Source position: cachecls.pp line 98

`public property TCache.OnFreeSlot : TOnFreeSlot read FOnFreeSlot write FOnFreeSlot;`

## Description

OnFreeSlot is called when an item needs to be freed, i.e. when a new item is added to a full list, and the least recent used item needs to be dropped from the list.

The cache class instance and the index of the item to be removed are passed to the callback.

## See also

TCache.Add |  | Add a data element to the list.
TCache.AddNew |  | Add a new item to the list.
TCache.SlotCount |  | Number of slots in the list

Documentation generated on: Feb 26 2014